[package]
name = "nap-gameserver"
edition = "2021"
version.workspace = true

[dependencies]
# Runtime
tokio.workspace = true
tokio-util.workspace = true

# Serialization
prost.workspace = true
prost-types.workspace = true
rbase64.workspace = true
toml.workspace = true
serde.workspace = true
serde_json.workspace = true

# Database
sqlx.workspace = true

# Util
thiserror.workspace = true
paste.workspace = true
byteorder.workspace = true
hex.workspace = true
rand.workspace = true
atomic_enum.workspace = true
num_enum.workspace = true
dashmap.workspace = true
rustyline-async.workspace = true

# Tracing
tracing.workspace = true
tracing-futures.workspace = true
tracing-log.workspace = true
tracing-subscriber.workspace = true
tracing-bunyan-formatter.workspace = true

# Internal
common.workspace = true
data.workspace = true
proto.workspace = true
